<template>
  <SelectButton
    class="IconSelectButton"
    option-label="name"
    option-value="value"
    v-bind="$attrs"
  >
    <template #option="{ option }">
      <div :title="t(option.name, 2)" class="IconSelectButton__Option">
        <i :class="option.icon" />
      </div>
    </template>
  </SelectButton>
</template>

<script lang="ts" setup>
import SelectButton from 'primevue/selectbutton/SelectButton.vue'
import { useI18n } from 'vue-i18n'

const { t } = useI18n()
</script>

<style lang="scss" scoped>
@use 'src/style/variables' as v;

.IconSelectButton {
  display: inline-flex;

  :deep(.p-button) {
    padding: 0;
  }

  &__Option {
    padding: v.$spacing-2 v.$spacing;
  }
}
</style>
